Subject: bug#75056: 31.0.50; tty-child-frames with server / multiple clients possible hangs

From: Gerd Möllmann <[email-masked]>
Date: Tue, 28 Jan 2025 18:34:41 +0100

martin rudalics <[email-masked]> writes:

>> Okay, understood. Changing the C code would be quite a challenge anyway
>> :-). It took me at least 10x the time to get to what is there now
>> frame-wise, so to speak, compared to what I needed to add to redisplay.
>
> Don't worry.  Nobody really knows what do_switch_frame does but everyone
> calls it.

:-)

>> Will you continue to work on this?
>>
>> I'm asking because I'm considering to phase down my involvement in
>> Emacs, at least for some time. I'll continue to be available per mail,
>> of course, but I don't plan to commit changes.
>
> I can try to look into the frame.c related issues.  I'm certainly not
> able to work on dispnew.c. 

Thanks! I can do the redisplay stuff of course, just tell me.

> But maybe it's only the
>
>   eassert (FRAME_VISIBLE_P (root));
>
> assertion there that would have to be adapted.

I seem to have missed that, sorry I'm bit distracted ATM. Or was that
the one in combine_updates_for_frame with multi-tty? I think I committed
a workaround/fix for that to master. Also for the root frame always
returning t in frame-visible-p.